/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {Component} from 'react';

class Bt extends Component{
  constructor(props){
    super(props);

    this.state ={
      color: "white",
      hover: "#F0F0F0",
      iddle: "white"
    };
  }
  componentWillMount(){
    if (this.props.backhover){
      this.setState({hover: this.props.backhover})
    }
    if (this.props.iddle){
      this.setState({color:this.props.background,
                      iddle: this.props.background})
    }
  }
  onHover(){
    this.setState({color: this.state.hover})
  }
  onIddle(){
    this.setState({color: this.state.iddle})
  }
  onClick(){
    if(this.props.link === undefined){
    }
    if(this.props.method !== undefined ){
      console.log(this.props.parameter)
       this.props.method(this.props.parameter)
    }
    else {
      alert(`goto ${this.props.link}`)
    }
  }

  render(){
    const acessibilityBt = {
      borderStyle: 'none',
      padding: '10px',
      textAlign: 'center',
      display: 'inline-block',
      backgroundColor: this.state.color,
      color: "#ababab"
    };
    return(
      <span id={this.props.name +"-Button"} style={acessibilityBt} onMouseEnter={this.onHover.bind(this)} onMouseOut={this.onIddle.bind(this)} onClick={this.onClick.bind(this)}>
        {this.props.name}
      </span>
    );
  }
}

export default Bt;
