import React, {useState} from 'react'
import { Button } from '@material-ui/core';
import styled from 'styled-components'
import ExpandMoreIcon from '@material-ui/icons/ExpandMore';

export default function ButtonAvaliarRecurso (props) {

    return (
        <StyledButton onClick={props.callback}>
            <ExpandMoreIcon/> AVALIAR RECURSO
        </StyledButton>
    )
}

const StyledButton = styled(Button)`
    &:hover {
        background-color : #ed6f00 !important;
    }
    background-color : #ff7f00 !important;
    color : #fff !important;
    font-weight : 600 !important;
    box-shadow : 0 2px 5px 0 rgba(0,0,0,.26) !important;
    .MuiSvgIcon-root {
        vertical-align : middle !important;
    }
`
