import React from 'react'
import styled from 'styled-components'
import Button from '@material-ui/core/Button';

export default function FollowersCountButton (props) {

    const FollowerButtonSpan = () => {
        const followCount = props.followCount
        let retVal = followCount  + (followCount !== 1 ? " seguidores" : " seguidor")
        return retVal
    }

    return (
        <FollowersButton>
            {FollowerButtonSpan()}
        </FollowersButton>
    )
}


const FollowersButton = styled(Button)`
    right : 0 !important;
    text-transform : none !important;
    color : #666 !important;
    font-size : 13px !important;
    font-weight : 400 !important;
    box-shadow : 0 2px 5px 0 rgba(0,0,0,.26) !important;
    margin: 6px 8px !important;
    padding : 0 6px !important;
    min-width : 88px !important;
    min-height : 36px !important;
    vertical-align : middle !important;
    text-align : center !important;
    border : 0 !important;
    border-radius : 3px !important;
    background-color : rgb(250,250,250) !important;
`
